Summary:     Finds and transfers RPM files for a specified program.
Summary(ja): 指定したプログラムに必要な rpm ファイルの検索と取得を行うツール
Name:        rpmfind
Version:     1.7
Release:     0vl1
Group:       Applications/System
URL:         http://rufus.w3.org/linux/rpm2html/rpmfind.html
Copyright:   W3C Copyright (BSD like).
Source:      ftp://rufus.w3.org/pub/rpmfind/rpmfind-%{version}.tar.gz
Source1:     rpmfind.conf
Patch1:      rpmfind-1.7-using_libxml1.patch
Prefix:      %{_prefix}
BuildPrereq: libxml-devel >= 1.8.7
Requires:    libxml >= 1.8.7
BuildRoot:   %{_tmppath}/%{name}-%{version}-root


%description
Rpmfind will query the local RPM database, or will request the
associated RDF file for a program on a remote database, for
information on a specified program.  Specifically, rpmfind will tell
you what packages are needed to install the program to satisfy all
dependencies and the size of the packages (so you can estimate
download time).  Rpmfind can then even download the packages for you.

%description -l ja
rpmfind はローカルマシン上の rpm データベースや，リモートマシン上の
RDF ファイルを使って，指定したプログラムの情報を取得します．特に，
あるプログラムをインストールする際に依存情報を満たす様どのパッケージを
追加でインストールする必要があるか，或いはパッケージのファイルサイズが
どの程度か (ダウンロードに必要な時間を凡そ推測できます) 等を表示して
くれます．rpmfind を使ってそれらのパッケージをダウンロードする事も出来ます．


%prep
%setup -q
%patch1 -p1


%build
%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}

install -d ${RPM_BUILD_ROOT}%{_bindir}
install -s rpmfind ${RPM_BUILD_ROOT}%{_bindir}/

install -d ${RPM_BUILD_ROOT}/%{_sysconfdir}
install -c %SOURCE1 ${RPM_BUILD_ROOT}/%{_sysconfdir}/rpmfind.conf
chmod -x ${RPM_BUILD_ROOT}/%{_sysconfdir}/rpmfind.conf

install -d ${RPM_BUILD_ROOT}%{_mandir}/man1
install rpmfind.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/rpmfind.1


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BUGS CHANGES Copyright README TODO 
%{_bindir}/rpmfind
%{_mandir}/man1/rpmfind.1*
%config %{_sysconfdir}/rpmfind.conf


%changelog
* Mon Dec 16 2002 IWAI Masaharu <iwai@alib.jp> 1.7-0vl1
- update source to version 1.7
- drop obsoleted rpmfind-1.5-checkrelease2.patch (Patch0)
- add rpmfind-1.7-using_libxml1.patch for configure script (Patch1)
- fix BuildPrereq ( s/libxml/libxml-devel/ )

* Thu Jun 21 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.5-3vl7
- Oops the spec was in Shift_JIS. Fixed.

* Mon Jun 18 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.5-3vl6
- rebuilt without db3 on ppc (sorry...)

* Thu May 31 2001 <sagami@vinelinux.org>
- 1.5-3vl5: rebuilt for %%{_mandir}

* Tue Aug 22 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- remove checkrelease option and amde it default buhaviour

* Thu Aug 17 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- add checkrelease patch
- add VineSeed configuration and remove RHL's conf

* Mon Aug 14 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- rebuild for Vine-2.0/VineSeed

* Thu Jul 13 2000 Jeff Johnson <jbj@redhat.com>
- add libxml requirement (#13630).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 21 2000 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.5.

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- coagulate rpm310/rpm40 patch into one.
- better autoconf tests.

* Mon Jun 19 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0-0.40.

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- rebuild against rpm-4.0
- use _mandir macros for FHS
- use _sysconfdir for FHS

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- correct rpm-3.0.4 lossage.

* Thu Feb 17 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- Remove Packager: header (Bug #6371)

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Fix bug #8650

* Mon Jan 31 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.4.
- add 6.2 configuration.
- revert to http://rpmfind.net/linux/RDF.

* Wed Oct  6 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Preparing 1.3 release
- Corrected a problem with the man installation
- Removed XML and WWW code and reuses libwww and libxml

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- default www.redhat.com/RDF config file (Adrian Likins).
- recompile with rpm-3.0.3-1.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- move to Red Hat 6.1 distribution.

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  8 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Added man page provided by Emmanuel Rouat

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
